Update Trusted By entry
Modify Trusted By metadata or replace its assignments. The `content` permission is required. Omit `variant_options` to preserve assignments; send `[]` to…
Modify Trusted By metadata or replace its assignments. The content permission is required. Omit variant_options to preserve assignments; send [] to clear them. Badge uploads occur through /api/v1/trusted-by/{id}/badge.
Authorization
bearerAuth In: header
Path Parameters
Trusted By ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Updates must leave at least one of title, URL, or badge present.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://app.orbiqhq.com/api/v1/trusted-by/customer-123" \ -H "Authorization: Bearer $ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "title": "Acme Corp", "url": "https://acme.example.com", "order": 10 }'{ "success": true, "data": { "id": "customer-123", "title": "Acme Corp", "badge": "https://directus.example.com/assets/customer-badge", "badge_asset_id": "customer-badge", "url": "https://acme.example.com", "order": 10, "date_created": "2026-05-01T10:05:00.000Z", "date_updated": "2026-06-01T08:30:00.000Z", "variant_options": [ { "variant_options_id": "option-cloud" } ] }}How is this guide?